<?php
/**
 * This file implements the Automatic Links plugin for b2evolution
 *
 * b2evolution - {@link http://b2evolution.net/}
 * Released under GNU GPL License - {@link http://b2evolution.net/about/license.html}
 * @copyright (c)2003-2006 by Francois PLANQUE - {@link http://fplanque.net/}
 *
 * @package plugins
 */
if( !defined('EVO_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

include_once 'markdown_extra/markdown.php';

/**
 * @package plugins
 */
class markdown_extra_plugin extends Plugin
{
	var $code = 'b2eMarkdownExtra';
	var $name = 'Markdown Extra';
	var $priority = 60;
	var $version = '1.8';
	var $apply_rendering = 'always';
	var $author = 'Bjrn Brresen';
	var $help_url = 'http://bie.no/blog/products/2006/10/markdown-extra-plugin-for-b2evolution/';
	var $short_desc;
	var $long_desc;
	
	/**
	 * Constructor
	 */
	function markdown_extra_plugin()
	{
		$this->short_desc = T_('Markdown Extra syntax for posts');
		$this->long_desc = T_('Plugin that allows you to format your posts using the Markdown syntax.');
	}

	/**
	 * @return array
	 */
	function GetDefaultSettings()
	{
		return array(
				'allow_markdown_comments' => array(
					'label' => T_('Enable for comments'),
					'type' => 'checkbox',
					'defaultvalue' => 0,
					'note' => 'Allow Markdown Extra syntax for comments?',
				)
			);
	}



	/**
	 * Perform rendering
	 *
	 * @param array Associative array of parameters
	 * 							(Output format, see {@link format_to_output()})
	 * @return boolean true if we can render something for the required output format
	 */
	function RenderItemAsHtml( & $params )
	{
		$content = & $params['data'];
		$content = Markdown( $content );
		return true;
	}
	

    /**
     * Event handler: called to filter the comment's content
     *
     * @param array Associative array of parameters
     *    - 'data': the name of the author/blog (by reference)
     *    - 'Comment': the {@link Comment} object
     */
   function FilterCommentContent( & $params )
   {
      if($this->Settings->get('allow_markdown_comments')) {
		  return $this->RenderItemAsHtml( $params );
	  }
   }
}


/*
 nolog */
?>